OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
Morphology< TreeType >::ErodeVoxelsOp Struct Reference

`#include <Morphology.h>`

## Public Types
typedef tbb::blocked_range< size_t > | RangeT

## Public Member Functions
| ErodeVoxelsOp (std::vector< MaskType > &masks, ManagerType &manager)
void | runParallel (NearestNeighbors nn)
void | operator() (const RangeT &r) const
void | erode6 (const RangeT &) const
void | erode18 (const RangeT &) const
void | erode26 (const RangeT &) const

## Member Typedef Documentation

## ◆ RangeT

typedef tbb::blocked_range<size_t> RangeT

## Constructor & Destructor Documentation

## ◆ ErodeVoxelsOp()

ErodeVoxelsOp | ( | std::vector< MaskType > & | masks,
|  | ManagerType & | manager
| ) |  |
| inline

## Member Function Documentation

## ◆ erode18()

void erode18 | ( | const RangeT & |  | ) | const
| inline

## ◆ erode26()

void erode26 | ( | const RangeT & |  | ) | const
| inline

## ◆ erode6()

void erode6 | ( | const RangeT & | range | ) | const
| inline

## ◆ operator()()

void operator() | ( | const RangeT & | r | ) | const
| inline

## ◆ runParallel()

void runParallel | ( | NearestNeighbors | nn | ) |
| inline

The documentation for this struct was generated from the following file:

- Morphology.h